#include <iostream>
//#include <iomanip>
using namespace std;

main()
{
	int n = 10;
	int* p = &n;
	char c = 'a';
	string s = "ovo je niska";
	char* cs = "c-ovska niska";
	
	cout << n << endl;
	cout << p << endl;
	cout << (long)p << endl;
	cout << c << endl;
	cout << s << endl;
	cout << cs << endl;
	
/*
	cin >> n >> c >> s >> cs;

	cout << n << endl;
	cout << c << endl;
	cout << s << endl;
	cout << cs << endl;
*/	
	cout << "Ovo se nece videti odmah...";
	
	cin >> s;
	cin.seekg(0);
	cin >> s;
	cout << s;
	
	return 0;	
}
